package org.warp.jcwdb.utils;

import org.warp.jcwdb.ann.*;

import java.io.IOException;

public class NestedClass extends DBObject {

	@DBField(id = 0, type = DBDataType.BOOLEAN)
	public boolean isFinal;

	@DBField(id = 1, type = DBDataType.DATABASE_OBJECT)
	public NestedClass child;

	public NestedClass() {

	}

	public NestedClass(JCWDatabase database) throws IOException {
		super(database);
	}

	@DBPropertySetter(id = 0, type = DBDataType.DATABASE_OBJECT)
	public void setValue(NestedClass value) {
		setProperty(value);
	}

	@DBPropertyGetter(id = 0, type = DBDataType.DATABASE_OBJECT)
	public NestedClass getValue() {
		return getProperty();
	}

	@Override
	public void initialize() throws IOException {

	}
}
