package org.warp.jcwdb.ann;

import java.io.IOException;

public class DBObjectList<T> extends DBArrayList<T> {

	public DBObjectList() {

	}

	public DBObjectList(JCWDatabase database) throws IOException {
		super(database);
	}

	@Override
	public T loadItem(long uid) throws IOException {
		return database.getDataLoader().loadObject(uid);
	}

	@Override
	public void writeItemToDisk(long uid, T item) throws IOException {
		database.getDataLoader().writeObjectProperty(uid, DBDataType.OBJECT, item);
	}
}
